%define anolis_release 2
%global pypi_name pytest-forked

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %{anolis_release}%{?dist}
Summary:        py.test plugin for running tests in isolated forked subprocesses

License:        MIT
URL:            https://github.com/pytest-dev/pytest-forked
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
The pytest-forked plugin extends py.test by adding an option to run tests in
isolated forked subprocesses. This is useful if you have tests involving C or
C++ libraries that might crash the process. To use the plugin, simply use the
--forked argument when invoking py.test.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%package -n     python3-%{pypi_name}-doc
Summary:        %{summary}
Requires:	python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
Doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest


%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/pytest_forked*

%files -n python3-%{pypi_name}-doc
%doc example/boxed.txt README.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.6.0-2
- Rebuild with python3.11

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 1.6.0-1
- package init from upstream
